Bug 205464 - procmail is unable to write to files >2GB
procmail is unable to write to files >2GB
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: procmail (Show other bugs)
3.8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Brock Organ
:
Depends On:
Blocks: 228487
  Show dependency treegraph
 
Reported: 2006-09-06 11:36 EDT by Milan Kerslager
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0420
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 14:37:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of refused mail delivery to the 2GB mailbox (3.14 KB, text/plain)
2006-09-06 11:36 EDT, Milan Kerslager
no flags Details
Large file support. (9.76 KB, patch)
2006-10-20 08:50 EDT, Miroslav Lichvar
no flags Details | Diff

  None (edit)
Description Milan Kerslager 2006-09-06 11:36:44 EDT
Procmail refuses to deliver mails when the mailbox (inbox) is greater than 2GB.
I'm using sendmail so there is no problem with postfix limits.
Comment 1 Milan Kerslager 2006-09-06 11:36:44 EDT
Created attachment 135660 [details]
strace of refused mail delivery to the 2GB mailbox
Comment 2 Miroslav Lichvar 2006-10-20 08:50:18 EDT
Created attachment 138967 [details]
Large file support.

Attaching patch backported from the devel package. Also -D_FILE_OFFSET_BITS=64
-D_LARGEFILE_SOURCE in CFLAGS is required.
Comment 8 Red Hat Bugzilla 2007-06-11 14:37:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0420.html

Note You need to log in before you can comment on or make changes to this bug.